package com.bocloud.cmp.model;

import com.alibaba.fastjson.JSONObject;

/**
 * worker request targets user
 *
 * @author lkx007
 */
public class Target {
    private String host;
    private Integer port;
    private String user;
    private String pasd;

    /**
     * @return the host
     */
    public String getHost() {
        return host;
    }

    /**
     * @param host the host to set
     */
    public void setHost(String host) {
        this.host = host;
    }

    /**
     * @return the port
     */
    public Integer getPort() {
        return port;
    }

    /**
     * @param port the port to set
     */
    public void setPort(Integer port) {
        this.port = port;
    }

    /**
     * @return the user
     */
    public String getUser() {
        return user;
    }

    /**
     * @param user the user to set
     */
    public void setUser(String user) {
        this.user = user;
    }

    /**
     * @return the pasd
     */
    public String getPasd() {
        return pasd;
    }

    /**
     * @param pasd the pasd to set
     */
    public void setPasd(String pasd) {
        this.pasd = pasd;
    }

    public Target() {
    }

    public Target(String host, Integer port, String user, String pasd) {
        super();
        this.host = host;
        this.port = port;
        this.user = user;
        this.pasd = pasd;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
